Bug 166184 - Servers not visible in Tools -> Servers after activating Ruby
Servers not visible in Tools -> Servers after activating Ruby
Status: RESOLVED FIXED
Product: serverplugins
Classification: Unclassified
Component: Infrastructure
6.x
All All
: P2 (vote)
: 6.x
Assigned To: Pavel Flaska
issues@serverplugins
: ERGONOMICS
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-28 14:41 UTC by Petr Jiricka
Modified: 2009-06-13 06:54 UTC (History)
5 users (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Petr Jiricka 2009-05-28 14:41:15 UTC
1. Install NetBeans 6.7 RC1 buils using the installer. This also installs GF v2.1 and v3 Prelude
2. Start the IDE, create a Rails project. This activates the Ruby features
3. Go to Tools -> Servers
=> First problem: Only v3 Prelude + the Ruby servers are visible in the servers list. The bundled v2.1 instance is missing.
4. Click Add Server
=> Second problem: Only v3 Prelude is listed as an option. All the other server types (Tomcat, GF v2, WebLogic, JBoss,
...) are missing.

Ludo mentioned an issue like this in a meeting a couple days ago - Ludo is this what you had in mind? Or did you mean
some other scenario? Thanks.
Comment 1 _ ludo 2009-05-28 15:36:46 UTC
Yes, seen that this weekend but not via trying rails, jusr regular EE enablement via the Server Node (which takes WAY
too LOOOONG ) but I though it was fixed by Vince for RC1 with the bug I reopened during the weekend, no?
Maybe it is yet another different path (thanks to ergonomics) to trigger bad behavior.

Ergonomics is a story which I strongly disagree with, and the wrong architectural choice to (not) solve performance and
startup issue.

This bug may be just another side effect if this bad architecture choice,or bad usage of it, appearing in a release
candidate... 


where is rc1?
Comment 2 Vince Kraemer 2009-05-28 16:23:25 UTC
My two cents... I think the behavior described would be acceptable, if the user did not have the ability to download and
install servers as part of the installation of NB... but installing the IDE can install servers and that changes the
expected results for opening the Servers dialog.

The behavior described leaves users wondering, "Where are the servers that I just installed? (At step 3)"

Step 4 doesn't seem correct, for a similar reason... "The IDE verbage says it supports all these different servers, but
all I see is X."
Comment 3 dlipin 2009-05-29 11:51:31 UTC
BTW, I`ve also filed similar Issue 165019 some time ago.
Comment 4 Jaroslav Tulach 2009-06-02 13:28:50 UTC
Pavel will experiment with static analysis and dynamic verification of the registered j2eeservers.
Comment 5 Pavel Flaska 2009-06-09 14:47:23 UTC
Initial implementation, not finished. (missing test and some servers are duplicated.)
http://hg.netbeans.org/ergonomics/rev/e1ce94cbb85a
Comment 6 Pavel Flaska 2009-06-12 11:09:58 UTC
changeset:   134949:779ecb6a257a

Finally fixed. Test available.
Comment 7 Quality Engineering 2009-06-13 06:54:53 UTC
Integrated into 'main-golden', will be available in build *200906130201* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/bfba2c7b8ad1
User: Pavel Flaska <pflaska@netbeans.org>
Log: #166184: Ergonomics now support adding servers. -- Still need fixes, names are incorrect, to many server appears in list.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo